Bug 857524 - Review Request: python-django-federated-login - Provides federated logins to django projects
Review Request: python-django-federated-login - Provides federated logins to ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 13:42 EDT by Luis Bazan
Modified: 2012-12-20 11:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:09:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luis Bazan 2012-09-14 13:42:30 EDT
Hi

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4484777

SPEC:
http://lbazan.fedorapeople.org/python-django-federated-login.spec

SRPM:
http://lbazan.fedorapeople.org/python-django-federated-login-0.3.0-1.fc17.src.rpm


RPMLINT:

$ rpmlint -v python-django-federated-login.spec 
python-django-federated-login.spec: I: checking-url http://pypi.python.org/packages/source/d/django-federated-login/django-federated-login-0.3.0.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.



Best Regards!
Comment 2 Pierre-YvesChibon 2012-09-15 06:50:34 EDT
It would be nice that you use the correct template when created a review request. I fix the component, cc and assigned for this ticket.

Thanks
Comment 3 Michael Scherer 2012-09-15 09:47:30 EDT
Oops, sorry, wrongly set the block
Comment 5 Toshio Ernie Kuratomi 2012-09-17 13:18:17 EDT
ba80c4b0b97f1b53a306e6954d072f67e652f03d2924353a62e609e2c3d7928a  django-federated-login-0.3.0.tar.gz

APPROVED

Good:
* Source matches upstream
* Package name follows naming guidelines
* License is MIT in spec and code
* license file included
* Spec file is legible
* No locale files
* Not a C library
* No bundled libraries
* Not relocatable
* Macros used consistently
* Code not content
* No GUI application
* All filenames are UTF-8
* No scriptlets used
* builds in koji
* Owns directories it creates and nothing more
* Permissions on files set properly

* rpmlint
python-django-federated-login.noarch: W: spelling-error Summary(en_US) logins -> losing, loins, lo gins
python-django-federated-login.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python-django-federated-login.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

These all make sense in the context of the package.  Ignorable.


Note:
* Package currently has no test suite so currently the %check section is a no-op
  No harm in having it though.
Comment 6 Luis Bazan 2012-09-17 13:23:18 EDT
New Package SCM Request
=======================
Package Name: python-django-federated-login
Short Description: Provides federated logins to django projects
Owners: lbazan
Branches: f18 f17 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-17 14:21:01 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-17 18:31:24 EDT
python-django-federated-login-0.3.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-django-federated-login-0.3.0-3.el6
Comment 9 Fedora Update System 2012-09-17 18:32:32 EDT
python-django-federated-login-0.3.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-federated-login-0.3.0-3.fc18
Comment 10 Fedora Update System 2012-09-21 16:59:58 EDT
python-django-federated-login-0.3.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2012-09-25 02:20:01 EDT
python-django-federated-login-0.3.0-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2012-12-20 11:09:04 EST
python-django-federated-login-0.3.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.